Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class KeywordsInterview

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.interview.KeywordsInterview

All Implemented Interfaces:
  Parameters.KeywordsParameters, Parameters.MutableKeywordsParameters

    public class KeywordsInterview

extends Interview
implements Parameters.MutableKeywordsParameters

This interview collects the keyword parameters. It is normally used as one of a series of sub-interviews that collect the parameter information for a test run.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Field Summary

Fields inherited from class com.sun.interview.Interview
`CHECKSUM, EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Fields inherited from interface com.sun.javatest.Parameters.MutableKeywordsParameters
`ALL_OF, ANY_OF, EXPR, MATCH_KEYWORDS, NO_KEYWORDS`

Constructor Summary
`KeywordsInterview(InterviewParameters parent)` Create an interview.

Method Summary
`TestFilter` | `getKeywordFilter()` Get a test filter based on the keyword expression in the interview.
`Keywords` | `getKeywords()` Get a Keywords object based on the information in the interview.
`int` | `getKeywordsMode()` Get the current keywords mode.
`int` | `getMatchKeywordsMode()` Get a value which indicates how to interpret the match value, when the keywords mode is set to MATCH_KEYWORDS.
`java.lang.String` | `getMatchKeywordsValue()` Get a value that identifies which tests are to be selected, when the keywords mode is set to MATCH_KEYWORDS.
`void` | `setKeywords(int mode, java.lang.String value)` Set the details of the keywords to be used, if any, to filter tests for execution.
`void` | `setKeywordsMode(int mode)` Set the current keywords mode.
`void` | `setMatchKeywords(int mode, java.lang.String value)` Set how to match a tests keywords when the keywords mode is set to MATCH_KEYWORDS.

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clear, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, save, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeywordsInterview

    public KeywordsInterview(InterviewParameters parent)
                      throws Interview.Fault

  Create an interview.

  Parameters:
    `parent` - The parent interview of which this is a child.
  Throws:
    `Interview.Fault` - if there is a problem while creating the interview.

Method Detail

### getKeywords

    public Keywords getKeywords()

  Get a Keywords object based on the information in the interview.

  Specified by:
    `getKeywords` in interface `Parameters.KeywordsParameters`
  Returns:
    A Keywords object based on the information in the interview.
  See Also:
    `setKeywords(int, java.lang.String)`

### setKeywords

    public void setKeywords(int mode,
                            java.lang.String value)

  Description copied from interface: `Parameters.MutableKeywordsParameters`
  Set the details of the keywords to be used, if any, to filter tests for execution.

  Specified by:
    `setKeywords` in interface `Parameters.MutableKeywordsParameters`
  Parameters:
    `mode` - the value of the match keywords mode to be set if `value` is not null
    `value` - if null, the keywords mode will be set to NO_KEYWORDS; if not null, the keywords mode will be set to MATCH_KEYWORDS, the match keywords mode will be set to `mode`, and the match keywords value will be set to this value
  See Also:
    `Parameters.KeywordsParameters.getKeywords()`, `Parameters.MutableKeywordsParameters.NO_KEYWORDS`, `Parameters.MutableKeywordsParameters.MATCH_KEYWORDS`

### getKeywordsMode

    public int getKeywordsMode()

  Description copied from interface: `Parameters.MutableKeywordsParameters`
  Get the current keywords mode.

  Specified by:
    `getKeywordsMode` in interface `Parameters.MutableKeywordsParameters`
  Returns:
    NO_KEYWORDS if no keyword filtering will be used to select tests for execution, or MATCH_KEYWORDS if keywords will be filtered according to the match mode and match value.
  See Also:
    `Parameters.MutableKeywordsParameters.setKeywordsMode(int)`, `Parameters.MutableKeywordsParameters.NO_KEYWORDS`, `Parameters.MutableKeywordsParameters.MATCH_KEYWORDS`

### setKeywordsMode

    public void setKeywordsMode(int mode)

  Description copied from interface: `Parameters.MutableKeywordsParameters`
  Set the current keywords mode.

  Specified by:
    `setKeywordsMode` in interface `Parameters.MutableKeywordsParameters`
  Parameters:
    `mode` - set to NO_KEYWORDS if no keyword filtering will be used to select tests for execution, or MATCH_KEYWORDS if keywords will be filtered according to the match mode and match value.
  See Also:
    `Parameters.MutableKeywordsParameters.getKeywordsMode()`, `Parameters.MutableKeywordsParameters.NO_KEYWORDS`, `Parameters.MutableKeywordsParameters.MATCH_KEYWORDS`

### getMatchKeywordsMode

    public int getMatchKeywordsMode()

  Description copied from interface: `Parameters.MutableKeywordsParameters`
  Get a value which indicates how to interpret the match value, when the keywords mode is set to MATCH_KEYWORDS.

  Specified by:
    `getMatchKeywordsMode` in interface `Parameters.MutableKeywordsParameters`
  Returns:
    a value which indicates how to interpret the match value, when the keywords mode is set to MATCH_KEYWORDS
  See Also:
    `Parameters.MutableKeywordsParameters.setMatchKeywords(int, java.lang.String)`, `Parameters.MutableKeywordsParameters.ANY_OF`, `Parameters.MutableKeywordsParameters.ALL_OF`, `Parameters.MutableKeywordsParameters.EXPR`

### getMatchKeywordsValue

    public java.lang.String getMatchKeywordsValue()

  Description copied from interface: `Parameters.MutableKeywordsParameters`
  Get a value that identifies which tests are to be selected, when the keywords mode is set to MATCH_KEYWORDS.

  Specified by:
    `getMatchKeywordsValue` in interface `Parameters.MutableKeywordsParameters`
  Returns:
    a value that identifies which tests are to be selected, when the keywords mode is set to MATCH_KEYWORDS
  See Also:
    `Parameters.MutableKeywordsParameters.setMatchKeywords(int, java.lang.String)`, `Parameters.MutableKeywordsParameters.ANY_OF`, `Parameters.MutableKeywordsParameters.ALL_OF`, `Parameters.MutableKeywordsParameters.EXPR`

### setMatchKeywords

    public void setMatchKeywords(int mode,
                                 java.lang.String value)

  Description copied from interface: `Parameters.MutableKeywordsParameters`
  Set how to match a tests keywords when the keywords mode is set to MATCH_KEYWORDS.

  Specified by:
    `setMatchKeywords` in interface `Parameters.MutableKeywordsParameters`
  Parameters:
    `mode` - A value indicating how to interpret `value`
    `value` - If `mode` is set to ANY_OF or ALL_OF, this value should give a white-space separate list of keywords to be matched; if `mode` is set to EXPR, this value should be a boolean expression using terminals, & (and), | (or), ! (negation) and parentheses, where the terminals are true if a test description contains that name as one of its keywords.
  See Also:
    `Parameters.MutableKeywordsParameters.getMatchKeywordsMode()`, `Parameters.MutableKeywordsParameters.getMatchKeywordsValue()`, `Parameters.MutableKeywordsParameters.ANY_OF`, `Parameters.MutableKeywordsParameters.ALL_OF`, `Parameters.MutableKeywordsParameters.EXPR`

### getKeywordFilter

    public TestFilter getKeywordFilter()

  Get a test filter based on the keyword expression in the interview.

  Returns:
    a test filter based on the keyword expression in the interview.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.